Issue 28267 - unsuccessful pdf export enables save-icon
Summary: unsuccessful pdf export enables save-icon
Status: ACCEPTED
Alias: None
Product: General
Classification: Code
Component: ui (show other issues)
Version: OOo 1.1.1
Hardware: All All
: P4 Trivial (vote)
Target Milestone: AOO Later
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: oooqa
Depends on:
Blocks:
 
Reported: 2004-04-23 11:45 UTC by norbert2
Modified: 2017-05-20 11:29 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
pdf_parameters.pdf (37.27 KB, application/pdf)
2004-05-07 06:38 UTC, norbert2
no flags Details
avi video (156.37 KB, application/x-compressed)
2005-03-09 18:09 UTC, norbert2
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description norbert2 2004-04-23 11:45:30 UTC
- open any document: The save-icon is disabled. That's OK.
- export it as pdf
- open this pdf in acrobat reader (so it's locked now)
- again try to export as pdf to the same file-name
- confirm the E/A-Errors:

Now the save-icon is enabled.

(Found in Draw-application end verified in Calc. I have not tested the other 
apps. Seems for me to be a framework problem.)
Comment 1 norbert2 2004-04-23 11:45:46 UTC
changed prio to 4
Comment 2 sjb90 2004-04-24 20:25:13 UTC
Hi Norbert,

Yep -- I can reproduce this, using WinXP with OOo 1.1.1 and 680_m34, in Writer
as well as the applications you mention. As you indicate by your priority
change, it's a very minor problem, but probably not expected behaviour -- we
might expect the save icon to remain disabled after the unsuccessful PDF export,
as the document has not changed.

Marking issue as new, but changing subcomponent to "ui", as we are unable to
reference a particular line of code.

Stuart.
Comment 3 thorsten.martens 2004-04-27 08:53:59 UTC
TM->MBA: Please have a look. Don´t know if you´re the one who has to take care
of this reproducible problem. Otherwise please redirect it to the appropiate
developer. Thanks !
Comment 4 norbert2 2004-05-07 06:38:04 UTC
Created attachment 15050 [details]
pdf_parameters.pdf
Comment 5 norbert2 2004-05-07 06:39:12 UTC
Sorry, I have added the attachement above to the wrong issue. It does not 
belong to this issue.
Comment 6 Mathias_Bauer 2004-05-24 17:27:22 UTC
We will have a look on that issue as soon as we fixed the more severe problems,
but if we are lucky it will be fixed anyway in your code refactoring for saving
documents.
Comment 7 mikhail.voytenko 2004-07-12 12:31:12 UTC
.
Comment 8 rnhurt 2005-03-08 23:20:52 UTC
I have experienced a slightly worse permutation of this issue.  If you go
through the trouble of exporting the PDF twice, it completely locks up the UI
and you can't do anything worthwhile.  This is extremely bad.

Here is how I reproduced:

- open a draw document
- export as PDF
- open this PDF in Acrobat Reader (so it's locked now)
- again try to export as PDF to the same file-name
- confirm all the errors
- again try to export as PDF to the same file-name
- confirm all the errors
- notice that all of the menu items and toolbar icons are now greyed out and/or
you may get a random crash.

Found and confirmed in Draw.

My System:
  IBM ThinkPad R32
  Windows XP SP1
  OpenOffice 2.0 Beta 1.9.97
  1GB RAM / 3GB HD Space
  1024x768x32
Comment 9 norbert2 2005-03-09 12:57:35 UTC
@ rnhurt:

I cannot reproduce your report problem when exporting twice.

Windows XP SP2
Comment 10 norbert2 2005-03-09 12:59:56 UTC
you may also have a look at issue 28267: "failed PDF Export causes doc save errors"
Comment 11 norbert2 2005-03-09 13:01:21 UTC
I mean issue 41733, sorry.
Comment 12 mikhail.voytenko 2005-03-09 13:10:01 UTC
The scenario works well in SRC680m83. No hanging, no crash, the document is not
marked as modified
The only problem is that the error message is shown three times.
Comment 13 norbert2 2005-03-09 13:13:37 UTC
In m79 (newer versions are currently not available for download) I still find
the bug that the document is marked as modified.
Comment 14 norbert2 2005-03-09 18:01:03 UTC
I have attached a video where you can see the problem.

Please note that the video begins with the second PDF export!
Comment 15 norbert2 2005-03-09 18:09:06 UTC
Created attachment 23603 [details]
avi video
Comment 16 jwalter 2008-05-08 11:41:09 UTC
with writer 2.4: Save Icon enabled after SUCCESSFUL PDF-export. Is that
intended? I found that strange, since PDF-export does not alter doc, or does it?
Comment 17 Marcus 2017-05-20 11:29:37 UTC
Reset assigne to the default "issues@openoffice.apache.org".